Bug 436524 - icon-theme.cache and index.theme installed with the wrong permissions
Summary: icon-theme.cache and index.theme installed with the wrong permissions
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm
Version: 8
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Panu Matilainen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-03-07 18:23 UTC by dann
Modified: 2008-11-26 17:37 UTC (History)
2 users (show)

Fixed In Version: F8
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-11-26 17:37:29 UTC


Attachments (Terms of Use)

Description dann 2008-03-07 18:23:47 UTC
Description of problem:
/usr/share/icons/hicolor/index.theme and /usr/share/icons/hicolor/icon-theme.cache

are installed with umask that the root user had at the time the rpm was
installed.  This is incorrect, the permissions should not be dependent on the umask.

To see this do (tcsh syntax):
$ umask 077
$ rm /usr/share/icons/hicolor/icon-theme.cache

$ rpm -iF hicolor-icon-theme-0.10-2.noarch.rpm

$ ls -l /usr/share/icons/hicolor/icon-theme.cache
-rw------- 1 root root 2132396 Mar  7 10:09
/usr/share/icons/hicolor/icon-theme.cache

The permissions should actually be -rw-r--r--

Because of not being able to access these caches all Gtk+ applications will need
to do a lot more stat syscalls at startup in order to find the icons they need...

There are probably other packages that have this problem.



Version-Release number of selected component (if applicable):
hicolor-icon-theme-0.10-2



How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 David Zeuthen 2008-03-18 02:56:23 UTC
wrong component

Comment 2 Panu Matilainen 2008-03-18 05:53:57 UTC
Fixed in rpm 4.4.2.3 already, just not F8 yet

Comment 3 Bug Zapper 2008-11-26 10:04:03 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Jon Stanley 2008-11-26 17:37:29 UTC
As this bug is in MODIFIED, Fedora believes that a fix has been committed that resolves the problem listed in this bug report.

If this is not the case, please re-open this report, noting the version of the package that you reproduced the bug against.

Thanks for the report!


Note You need to log in before you can comment on or make changes to this bug.